AR40XX(4)

NAME
ar40xx_switch - Qualcomm IPQ4018/IPQ4019 Gigabit Ethernet switch driver

SYNOPSIS
device mdio
etherswitch
ar40xx_switch

DESCRIPTION
The ar40xx_switch driver supports the Gigabit Ethernet switch inside the Qualcomm IPQ4018/IPQ4019 SoC.

HARDWARE
The ar40xx_switch driver supports the following Gigabit Ethernet switch controllers:

•   Qualcomm IPQ 4019 Five-port Gigabit Ethernet Switch
•   Qualcomm IPQ 4018 Five-port Gigabit Ethernet Switch

SEE ALSO
etherswitch(4), etherswitchcfg(8)

CAVEATS
This driver currently only supports L2 port/VLAN mapping modes.